<template>
  <!--pages/home/main.wxml-->
  <div class='container'>
     <img style="width: 100%;height: 100%" :src="url">
    <!--弹出栏-->
    <v-hintbox :hintbox="hintbox" @close="close" ></v-hintbox>
  </div>
</template>
<script type="text/ecmascript-6">
  import config from '@/config'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData,Appid} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '../../util'
  import store from '@/store'
  import hintbox from '@/components/hintbox/hintbox.vue'
  let mta= require('@/utils/mta_analysis.js');
  export default {
    data(){
      return{
        url: config.url + 'launch.jpg',
        hintbox:{
          text :'',
          show : false
        }
      }
    },
    components:{
      'v-hintbox' : hintbox
    },
    methods:{
      close(text){
        this.hintbox.show = false;
        this.hintbox.text = '';
        if(text === '新的版本下载失败'){
          this.enter();
        }
      },
      enter(){
        let that =this;
        let appid = Appid();
        console.log(appid);
        VeevlinkIslogin(function (res) {
          console.log('用户已授权登录');
          VeevlinkClient(
            '/user/login?openid='+res,
            'GET',
            '',
            function (data) {
              if(data.success){
                wx.setStorageSync('VerificationCodeEntity',data.records[0].VerificationCodeEntity);
                let VerificationCodeEntity = wx.getStorageSync('VerificationCodeEntity');
//              this.VerificationCodeEntity = VerificationCodeEntity;
                // 是否需要更新缓存 wx.removeStorageSync('key')
//                if(data.records[0].VerificationCodeEntity.veevlinkupdate){
//                  console.log(data.records[0].VerificationCodeEntity.veevlinkupdate);
//                  wx.removeStorageSync('information'+appid);
//                  wx.removeStorageSync('openid'+appid);
//                  that.enter();
//                  return;
//                }
                // disable 是否禁用
                if(!data.records[0].VerificationCodeEntity.disable){
                  mta.Data.userInfo = {'open_id':VerificationCodeEntity.openid, 'phone':VerificationCodeEntity.phonenumber};
                  // 是否有填写用户信息
                  if(!data.records[0].VerificationCodeEntity.notfirstlogin){
                    config.href(config.UserInfoImprove,true);
                  }else{
                    config.href(config.Home,true);
                  }
                }else{
                  config.href(config.Login,true);
                }
                console.log(data.records[0].VerificationCodeEntity);
              }else{
                if(appid === 'wxe3786e0f1c17f2f9'){
                  config.href(config.Confirm,true);
                }else{
                  config.href(config.Confirm,true);
                }
              }
            },
            function (err) {
              if(appid === 'wxe3786e0f1c17f2f9'){
                config.href(config.Confirm,true);
              }else{
                config.href(config.Confirm,true);
              }
            })
        },function (appid) {
          // 判断失败时的appid是测试环境就跳授权也，否则跳手机登录
          if(appid === 'wxe3786e0f1c17f2f9'){
            config.href(config.Confirm,true);
          }else{
            config.href(config.Home,true);
          }
        },function (text) {
          // 用户授权失败
          that.hintbox.show = true;
          that.hintbox.text = text;
        });
      }
    },
    //    页面加载时，判断用户是否登录
    async onShow() {
      //return
      let that = this;

      wx.showLoading({
        mask : true,
        title: '加载中'
      });
        that.enter();
    },
    async onLoad() {
      mta.Page.init();
    }

  }
</script>
<style lang="scss"  type="text/scss" scoped>
  /* pages/home/main.wxss */
  .container{
    width: 100%;
    height: 100%;
  }


</style>


